=== debian/changelog ===
genometester (4.0-1) unstable; urgency=medium

  * Initial release (Closes: #900752)
  * Add manpages
  * Add autopkgtest

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Mon, 04 Jun 2018 16:33:48 +0200
