=== debian/control ===
Source: genometester
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/genometester
Vcs-Git: https://salsa.debian.org/med-team/genometester.git
Homepage: https://github.com/bioinfo-ut/GenomeTester4

Package: genometester
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: toolkit for performing set operations on k-mer lists
 Toolkit for performing set operations - union, intersection and
 complement - on k-mer lists.
 .
 GenomeTester4 toolkit, which contains a novel tool GListCompare for
 performing union, intersection and complement (difference) set
 operations on k-mer lists. It contains examples of how these
 general operations can be combined to solve a variety of biological
 analysis tasks.
