=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g" \
  https://github.com/bioinfo-ut/GenomeTester4/releases .*/archive/Version_(\d[_.\d]+)@ARCHIVE_EXT@
