## genometester 4.0+git20180508.a9c14a6+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 LISTMAKER_SOURCES = \
 	glistmaker.c \
 	common.c common.h \
+	fasta.c fasta.h \
 	wordtable.c wordtable.h \
 	wordmap.c wordmap.h \
-	fasta.c fasta.h \
 	buffer.c buffer.h \
 	sequence.c sequence.h \
 	sequence-file.c sequence-file.h \
@@ -44,6 +44,18 @@
 
 LISTCOMPARE_SOURCES = \
 	glistcompare.c \
+	wordtable.c \
+	wordmap.c \
+	fasta.c \
+	buffer.c \
+	sequence.c \
+	sequence-file.c sequence-file.h \
+	common.c \
+	queue.c queue.h \
+	utils.c
+
+GDISTRIBUTION_SOURCES = \
+	gdistribution.c \
 	wordtable.c \
 	wordmap.c \
 	fasta.c \
@@ -134,6 +146,9 @@
 glistcompare: $(LISTCOMPARE_SOURCES)
 	$(CXX) $(LISTCOMPARE_SOURCES) -o glistcompare $(LIBS) $(CXXFLAGS)
 
+gdistribution: $(GDISTRIBUTION_SOURCES)
+	$(CXX) $(GDISTRIBUTION_SOURCES) -o gdistribution $(LIBS) $(CXXFLAGS)
+
 gmer_counter: $(GMER_COUNTER_SOURCES)
 	$(CXX) $(GMER_COUNTER_SOURCES) -o gmer_counter $(LIBS) $(CXXFLAGS) -Wall
