=== debian/changelog ===
genometester (4.0+git20180508.a9c14a6+dfsg-1) unstable; urgency=medium

  * Remove binaries from upstream source
  * Use git mode in watch file since gdistribution is needed by some
    dependencies
  * Standards-Version: 4.2.1
  * Install gdistribution

 -- Andreas Tille <tille@debian.org>  Sat, 06 Oct 2018 12:04:26 +0200
