=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/genometester
 Vcs-Git: https://salsa.debian.org/med-team/genometester.git
 Homepage: https://github.com/bioinfo-ut/GenomeTester4
