=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE = 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- gmer_counter
	dh_auto_build -- gmer_caller
	dh_auto_build -- gdistribution
