=== debian/watch ===
version=4

opts="mode=git,pretty=4.0+git%cd.%h,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/_/./g,repack,compression=xz" \
   https://github.com/bioinfo-ut/GenomeTester4.git HEAD

#  https://github.com/bioinfo-ut/GenomeTester4/releases .*/archive/Version_(\d[_.\d]+)@ARCHIVE_EXT@
