## genometester 4.0+git20200511.91cecb5+dfsg

=== debian/changelog ===
genometester (4.0+git20200511.91cecb5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse. (routine-update)
  * Added d/TODO to indicate missing man page (also a lintian warning)
  * Improved clean.

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 May 2020 20:06:55 +0200
