=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/genometester
 Vcs-Git: https://salsa.debian.org/med-team/genometester.git
 Homepage: https://github.com/bioinfo-ut/GenomeTester4
+Rules-Requires-Root: no
 
 Package: genometester
 Architecture: any
