=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,7 @@
 	dh_auto_build -- gmer_counter
 	dh_auto_build -- gmer_caller
 	dh_auto_build -- gdistribution
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/gdistribution src/gmer_caller src/gmer_counter
