=== debian/changelog ===
genometester (4.0+git20221122.71e6625-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * d/watch:
     - detect new versions on github
     - version=5
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add missing build dependency on dh addon.
  * Build-Depends: zlib1g-dev
  * Standards-Version: 4.7.2 (routine-update)

  [ Helmut Grohne ]
  * Fix C vs C++ confusion by rather calling CC for C code
    Closes: #1107684

  [ Étienne Mollier ]
  * default-wordlength.patch: new: set a sane default.
    glistmaker defaults to have a wordlength of 0, out of the acceptable
    length of 1 to 32.  This patch restores the previous behavior, which
    looks to have been to default to a wordlength of 16, given autopkgtest
    expectations.
  * gdistribution.patch: new: fix build failure of this binary.
  * d/{install,rules}: build gassembler.
  * buildflags.patch: new: improve hardening by passing CPP and LDFLAGS.
  * d/patches/*: normalize Last-Update timestamps.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Fri, 30 Jan 2026 18:39:54 +0100
