=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               debhelper,
+               zlib1g-dev
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/genometester
 Vcs-Git: https://salsa.debian.org/med-team/genometester.git
 Homepage: https://github.com/bioinfo-ut/GenomeTester4
-Rules-Requires-Root: no
 
 Package: genometester
 Architecture: any
