=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	dh_auto_build
 	dh_auto_build -- gmer_counter
 	dh_auto_build -- gmer_caller
+	dh_auto_build -- gassembler
 	dh_auto_build -- gdistribution
 
 override_dh_auto_clean:
