=== debian/watch ===
Version: 5

Source: https://github.com/bioinfo-ut/GenomeTester4.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 4.0+git%cd.%h
